+ Reply to Thread
Page 3 of 7 FirstFirst 1 2 3 4 5 ... LastLast
Results 21 to 30 of 62
  1. #21
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,368

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by mdbdesign View Post
    How about something like "Educational stamp" but in visible and non plot-able version?
    I think the Educational Stamp is a lot deeper than LISP
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  2. #22
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,199

    Default

    what about placing it on a locked layer, then just have a command reactor that checks to make sure layer is locked at beginning of command.

    vlr-command-reactor and vlr-lispWillStart could do the trick

  3. #23
    Senior Member
    Computer Details
    Glen Smith's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell Studio XPS 1645
    CPU:
    Intel i7 Q720 @ 1.6Ghz
    RAM:
    8 Gig
    Using
    Electrical 2010
    Join Date
    May 2008
    Location
    Cary, NC
    Posts
    418

    Default

    How secure do you want this to be? Anything that the Brilliant minds (I'm not part of that group) here come up with - unless it somehow has a password protection - would be able to be removed by a sufficiently smart and or motivated cad operator. Heck they might even wind up here on the board looking for a way to delete a pesky object (leaving out the fact that it is a copyright / watermark type of thing).

    If you can put it on/in the drawing, eventually it can be removed from the drawing - it just depends on how much work you want to cause your opponent.

    Glen
    “Progress isn't made by early risers. It's made by lazy men trying to find easier ways to do something." Lazarus Long in Time Enough For Love

  4. #24
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,506

    Default

    Judging by the number of requests we see here about getting rid of normal AutoCAD entities I would say that chances are the average user is not going to have a clue.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  5. #25
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,199

    Default

    just out of curiosity, what's so important that you must protect it like the holy grail?

  6. #26
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,368

    Default

    Something like this Alan - nice idea:

    Code:
    (defun c:water ( )
      (vl-load-com)
      (if (not *wMark*)
        (progn
          (setq *wMark*
            (vlr-command-reactor nil
              (list
                (cons :vlr-commandWillStart 'Lock))))
          (if (not (tblsearch "LAYER" "WMark"))
            (vla-add
              (setq *lay
                (vla-get-layers
                  (vla-get-ActiveDocument
                    (vlax-get-acad-object)))) "WMark"))
          (princ "\n** Reactor Initiated **"))
        (princ "\n** Reactor Already Running **"))
      (princ))
    
    (defun Lock (Reac Args)
      (if (not
            (wcmatch
              (strcase (car Args)) "*ZOOM*,*PAN*"))
        (vla-put-Lock (vla-item *lay "WMark") :vlax-true))
      (princ))
    
    (defun c:drain ( )
      (vl-load-com)
      (if (and *wMark* (vlr-added-p *wMark*))
        (progn
          (vlr-remove *wMark*)
          (setq *wMark* nil *lay nil)
          (princ "\n** Reactor Deactivated **"))
        (princ "\n** Reactor Not Running **"))
      (princ))
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  7. #27
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,199

    Default

    precisely what i had in mind. only thought i could come up with. sorry i didn't have a chance to hash something out, glad you took the initiative.

    Quote Originally Posted by Lee Mac View Post
    Something like this Alan - nice idea:

    Code:
    (defun c:water ( )
      (vl-load-com)
      (if (not *wMark*)
        (progn
          (setq *wMark*
            (vlr-command-reactor nil
              (list
                (cons :vlr-commandWillStart 'Lock))))
          (if (not (tblsearch "LAYER" "WMark"))
            (vla-add
              (setq *lay
                (vla-get-layers
                  (vla-get-ActiveDocument
                    (vlax-get-acad-object)))) "WMark"))
          (princ "\n** Reactor Initiated **"))
        (princ "\n** Reactor Already Running **"))
      (princ))
    
    (defun Lock (Reac Args)
      (if (not
            (wcmatch
              (strcase (car Args)) "*ZOOM*,*PAN*"))
        (vla-put-Lock (vla-item *lay "WMark") :vlax-true))
      (princ))
    
    (defun c:drain ( )
      (vl-load-com)
      (if (and *wMark* (vlr-added-p *wMark*))
        (progn
          (vlr-remove *wMark*)
          (setq *wMark* nil *lay nil)
          (princ "\n** Reactor Deactivated **"))
        (princ "\n** Reactor Not Running **"))
      (princ))

  8. #28
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,368

    Default

    Was bored, what can I say...
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  9. #29
    Super Member
    Computer Details
    ronjonp's Computer Details
    Operating System:
    Windows 10
    Using
    AutoCAD 2018
    Join Date
    Apr 2009
    Location
    Colorado
    Posts
    573

  10. #30
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,368

    Default

    Registered forum members do not see this ad.

    Superb Ron, thanks for that link
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

Similar Threads

  1. Problem Creating 3D Object
    By JoshK in forum AutoCAD 3D Modelling & Rendering
    Replies: 10
    Last Post: 31st May 2009, 03:22 pm
  2. Creating Elevations from a 3D Object
    By nbramm8218 in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 18th Apr 2008, 04:09 pm
  3. undeletable dwg file
    By spanielman in forum AutoCAD Drawing Management & Output
    Replies: 2
    Last Post: 6th Dec 2007, 01:37 pm
  4. creating a 3D object from 2D?
    By ash87 in forum AutoCAD General
    Replies: 22
    Last Post: 9th Nov 2007, 06:57 pm
  5. Unused, Uninvited undeletable layers
    By tobywilson in forum AutoCAD Beginners' Area
    Replies: 10
    Last Post: 5th Nov 2007, 05:17 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts